<h1 align="center" id="heading"> 101 </h1>


<details>
<summary markdown="span"> Get Time and Date for History command </summary>
<br>

Send:  
```
HISTTIMEFORMAT='%Y-%m-%d %T " && history
```
Or make it permanent:

```
nano ~/.bashrc
```

search for `HISTCONTROL` and under it enter:

```
HISTTIMEFORMAT='%Y-%m-%d %T "
```

save and should now be permanent

______________________________________________________________________________________________________
</details>
<!--  -->
<details>
<summary markdown="span"> See Matrix </summary>
<br>

Install:
```
sudo apt-get install -y cmatrix
```

Run:
```
cmatrix
```

To Uninstall run:
```
sudo apt-get purge -y cmatrix
```

______________________________________________________________________________________________________
</details>
<!--  -->
<details>
<summary markdown="span"> GNOME Terminal Hide/Unhide MenuBar </summary>
<br>

to Hide send and restart the terminal:
```
gsettings set org.gnome.Terminal.Legacy.Settings headerbar true
```

to Unhide send and restart the terminal:
```
gsettings set org.gnome.Terminal.Legacy.Settings headerbar false
```
______________________________________________________________________________________________________
</details>
<!--  -->
<details>
<summary markdown="span"> Shotcuts </summary>
<br>

```
Go to the end of the line      | CTRL + I
Go to the begining of the line | CTRL + A
Delete all line                | CTRL + U
sort results in columns        | cmnd | column -t

```

______________________________________________________________________________________________________
</details>
<!--  -->
<details>
<summary markdown="span"> Add Custom Folder to .bashrc </summary>
<br>

Edit bashrc:
```
nano ~/.bashrc
```

at the end of the file add:

```
if [ -f ~/.sthope_scripts/.bash_aliases ]; then
    . ~/.sthope_scripts/.bash_aliases
fi

export PATH=$PATH:~/.sthope_scripts/commands/
```

Save and reboot

______________________________________________________________________________________________________
</details>
